# Copyright (c) 2010, 2011 Linaro Limited
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from lava_test.core.installers import TestInstaller
from lava_test.core.parsers import TestParser
from lava_test.core.runners import TestRunner
from lava_test.core.tests import Test
from timed_test_runner import TimedTestRunner

parse = TestParser(pattern="=\W+(?P<measurement>\d+\.\d+) FPS", 
                   appendall={'test_case_id':'qgears',
                              'units':'fps',
                              'result':'pass'})

inst = TestInstaller(deps=["qgears2"])
run = TimedTestRunner(["qgears"], [10], [""])

testobj = Test(test_id="linaro.gfx.qgears", installer=inst,
               runner=run, parser=parse)
