# Copyright (c) 2011 Linaro Limited
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from lava_test.core.installers import TestInstaller
from lava_test.core.parsers import TestParser
from lava_test.core.runners import TestRunner
from lava_test.core.tests import Test

spandex_benchmark = "/usr/share/spandex/bd/benchmarks/opengles2/benchmark.txt"

RUNSTEPS = [
    "spandex_gl2 %s > /dev/null" % spandex_benchmark,
    "python /usr/share/spandex/python/wikireport.py result.txt"
    ]

PATTERN = "^\|\s+(?P<test_case_id>[^|]+?)\s+\|\s+(?P<measurement>\d+(\.\d+)?)"

inst = TestInstaller(deps=["spandex-gles2", "spandex-benchmarks-gles2"])
run = TestRunner(RUNSTEPS)
parse = TestParser(PATTERN, appendall={'units':'fps', 'result':'pass'})

testobj = Test(test_id="linaro.gfx.spandex_gles2", installer=inst,
               runner=run, parser=parse)
